Bug 36574 - Broken PDF document in online docware
Broken PDF document in online docware
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
All All
: P3 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2005-09-09 16:58 UTC by Rabbe Fogelholm
Modified: 2009-07-02 01:47 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description Rabbe Fogelholm 2005-09-09 16:58:10 UTC
Hope this is the right place to report ...

On the page
http://jakarta.apache.org/tomcat/tomcat-5.5-doc/architecture/startup.html there
is a link "UML sequence diagram of the startup procedure is available here"
pointing to
That PDF document is broken. When trying to open with Adobe Reader 7.0.1 on
Windows 2000 it says "An unrecognized token .P35.76 was found". When trying with
xpdf or acroread on Linux I get similar results; the document cannot be viewed.
Comment 1 Mark Thomas 2005-09-13 01:04:34 UTC
This has been fixed. It will take a few hours to replcate to our main web server.
Comment 2 Zaidy Ramirez 2006-12-23 11:12:36 UTC
I am trying to open document serverStartup.pdf from 
doc/architecture/startup/serverStartup.pdf, and it shows me this error 
message "An unrecognized tocken '.p35.76' was found", and then the PDF 
document appears in blank. 
Also I have tried to open the requestProcess.pdf from 
and it shows another error "Cannot extract the embedded font 'EHPFDM+aRIAL'. 
some character may not display or print correctly." Once I press Ok it shows 
another error message which reads "An unrecognized tocken 'N1' was found", and 
then the document only shows a tittle on the left corner that reads 
I am running Win XP Home and Adobe Reader 7.0. 
Comment 3 Mark Thomas 2006-12-25 08:15:21 UTC
I have fixed this. Thanks for letting us know.
Comment 4 vy0123 2009-06-16 18:50:23 UTC
apache-tomcat-5.5.27-fulldocs.tar.gz ## has
tomcat-5.5-doc/architecture/startup/serverStartup.pdf ## has 6 blank pages
Comment 5 vy0123 2009-06-16 20:08:46 UTC
apache-tomcat-5.5.27-fulldocs.tar.gz ## has
tomcat-5.5-doc/architecture/requestProcess/requestProcess.pdf ## has error message on file open

# Cannot extract the embedded font 'EHPFDM+Arial'
# Some characters may not display or print correctly.
Comment 6 Mark Thomas 2009-07-01 12:06:02 UTC
Sorry about that. I have proposed a patch for 5.5.x
Comment 7 Mark Thomas 2009-07-02 01:47:27 UTC
Fixed in 5.5.x and will be included in 5.5.28 onwards